import { getLicenseAll, exportLicenseData } from '@/api/license'

const license = {
  state: {

  },
  mutations: {

  },
  actions: {
    GetLicenseAll({ commit }, data) {
      return new Promise((resolve, reject) => { // 查询月租车记录
        getLicenseAll(data).then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    },
    ExportLicenseData({ commit }) { // 导出月租车数据
      return new Promise((resolve, reject) => {
        exportLicenseData().then(response => {
          resolve(response)
        }).catch(error => {
          reject(error)
        })
      })
    }
  }
}

export default license
